Bug 460072 - pecl command needs more memory on a 64bit box
pecl command needs more memory on a 64bit box
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php-pear (Show other bugs)
5.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-25 19:10 EDT by Alain D D Williams
Modified: 2013-04-15 04:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-27 09:47:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alain D D Williams 2008-08-25 19:10:00 EDT
Description of problem:
Using pecl to install things (ex xdebug) it runs out of memory.

Version-Release number of selected component (if applicable):
php-pear-1.4.9-4.el5.1

How reproducible:
Every time, try the command:
pecl install xdebug

Steps to Reproduce:
1. Run the command above on a 64 bit machine.
  
Actual results:
pecl install xdebug
downloading xdebug-2.0.3.tgz ...
Starting to download xdebug-2.0.3.tgz (286,325 bytes)
.....................done: 286,325 bytes

Fatal error: Allowed memory size of 8388608 bytes exhausted (tried to allocate 23040 bytes) in /usr/share/pear/PEAR/PackageFile/v2/Validator.php on line 1618


Expected results:
To download/compile/install

Additional info:

This can be fixed by including ''-d memory_limit=16M'' in /usr/bin/pecl
Comment 1 Joe Orton 2008-08-28 11:58:54 EDT
Thanks for the report.
Comment 6 errata-xmlrpc 2009-05-27 09:47:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1071.html

Note You need to log in before you can comment on or make changes to this bug.